Class | StreamingOperator
In: | app/models/streaming_operator.rb
Parent: | User

Clase para los usuarios de tipo "Operador de streaming". Es subclase de User, por lo que su tabla es `users`

### Methods

can_access? can_create? can_edit? empty_unnecessary_fields

### Public Instance methods

can_access?(doc_type)

Indica si tiene permiso para acceder a la administración de los recursos de tipo `doc_type`. Ejemplos:

- current_user.can_access?("news")
- current_user.can_access?("photos")

[Source]

        # File app/models/streaming_operator.rb, line 18
    18:   def can_access?(doc_type)
    19:     ["stream_flows"].include?(doc_type)
    20:   end

can_create?(doc_type)

Indica si puede crear recursos de tipo `doc_type`. Ejemplos:

- current_user.can_create?("news")
- current_user.can_create?("photos")

[Source]

        # File app/models/streaming_operator.rb, line 34
    34:   def can_create?(doc_type)
    35:     self.can_access?(doc_type)
    36:   end

can_edit?(doc_type)

Indica si puede modificar recursos de tipo `doc_type`. Ejemplos:

- current_user.can_edit?("news")
- current_user.can_edit?("photos")

[Source]

        # File app/models/streaming_operator.rb, line 26
    26:   def can_edit?(doc_type)
    27:     self.can_access?(doc_type)
    28:   end

empty_unnecessary_fields()

Vacia los campos irrelevantes para este tipo de usuario. Se llama desde before_save

[Source]

        # File app/models/streaming_operator.rb, line 10
    10:   def empty_unnecessary_fields
    11:     self.media = nil
    12:   end

[Validate]